
From: Jesper Juhl <juhl-lkml@dif.dk>

There's no need to check for NULL, kfree() can cope.

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/cdrom/sonycd535.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/cdrom/sonycd535.c~remove-pointless-null-check-before-kfree-in-sony535c drivers/cdrom/sonycd535.c
--- 25/drivers/cdrom/sonycd535.c~remove-pointless-null-check-before-kfree-in-sony535c	2005-05-06 18:39:20.000000000 -0700
+++ 25-akpm/drivers/cdrom/sonycd535.c	2005-05-06 18:39:20.000000000 -0700
@@ -1605,8 +1605,7 @@ out7:
 	put_disk(cdu_disk);
 out6:
 	for (i = 0; i < sony_buffer_sectors; i++)
-		if (sony_buffer[i]) 
-			kfree(sony_buffer[i]);
+		kfree(sony_buffer[i]);
 out5:
 	kfree(sony_buffer);
 out4:
_
